Subject: Re: [PATCH v4 01/12] pkt-line: eliminate the need for static buffer in packet_write_gently()

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Mar 2021 11:38:56 -0800

Jeff Hostetler <[email-masked]> writes:

> Right, I think it would be fine to malloc it here, but I didn't
> want to assume that everyone would think that.
>
> I'll change it.

I agree with both of you that the code is unnice in its stack usage
and we want fix with malloc(), or something like that, but sorry, I
think I merged this round by mistake to 'next'.

As we won't be merging the topic to the upcoming release anyway, I
am willing to revert the merge to 'next' and requeue an updated one,
when it appears (I am also OK to see an incremental update, "oops,
no, we realize we don't want to have it on the stack" fix-up, if
this is the only glitch in the series that need to be fixed).

Thanks.